Public Class GOES_ExperienciaBusinessObject
    Inherits BusinessObject(Of GOES_Experiencia)

#Region "Contructores"
    Public Sub New()
        MyBase.New()
        DbHelper = New GOES_ExperienciaDbHelper
    End Sub

    Public Sub New(ByVal entity As GOES_Experiencia)
        MyBase.New(entity)
        DbHelper = New GOES_ExperienciaDbHelper
    End Sub

    Public Sub New(ByVal idPlaza As Int32, ByVal idCorrelativo As Int32, Optional ByVal foreignLevel As Integer=0)
        Me.New()
        _Entity.idPlaza = idPlaza
        _Entity.idCorrelativo = idCorrelativo
        Dim Entity_Aux As GOES_Experiencia = DbHelper.SelectEntity(_Entity,foreignLevel)
        If Not Entity_Aux Is Nothing Then
            _IsNew = False
            _Entity = Entity_Aux
        End If
    End Sub
#End Region

#Region "Metodos Estaticos"
    Protected Shared _Instance As GOES_ExperienciaBusinessObject
    Protected Shared Function GetDdHelperInstance() As GOES_ExperienciaDbHelper
        If _Instance Is Nothing Then
            _Instance = New GOES_ExperienciaBusinessObject
        End If
    Return CType(_Instance.DbHelper, GOES_ExperienciaDbHelper)
    End Function

    Public Shared Function GetListGOES_Experiencia(Optional ByVal foreignLevel As Integer=0) As EntityList(Of GOES_Experiencia)
        Return GetDdHelperInstance.SelectList(foreignLevel)
    End Function

    Public Shared Function GetListGOES_ExperienciaByPlaza(ByVal idPlaza as Int32, Optional ByVal foreignLevel As Integer=0) As EntityList(Of GOES_Experiencia)
        Return GetDdHelperInstance.GetListGOES_ExperienciaByPlaza(idPlaza, foreignLevel)
    End Function

#End Region
End Class
